mxStylesheet (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxStylesheet

    java.lang.Object
      com.mxgraph.view.mxStylesheet

    public class mxStylesheet

extends Object

Defines the appearance of the cells in a graph. The following example changes the font size for all vertices by changing the default vertex style in-place: `getDefaultVertexStyle().put(mxConstants.STYLE_FONTSIZE, 16);` To change the default font size for all cells, set mxConstants.DEFAULT_FONTSIZE.

Field Summary
`static Map<String,Object>` | `EMPTY_STYLE` Shared immutable empty hashtable (for undefined cell styles).
`protected Map<String,Map<String,Object>>` | `styles` Maps from names to styles.

Constructor Summary
`mxStylesheet()` Constructs a new stylesheet and assigns default styles.

Method Summary
`protected Map<String,Object>` | `createDefaultEdgeStyle()` Creates and returns the default edge style.
`protected Map<String,Object>` | `createDefaultVertexStyle()` Creates and returns the default vertex style.
`Map<String,Object>` | `getCellStyle(String name, Map<String,Object> defaultStyle)` Returns the cell style for the specified cell or the given defaultStyle if no style can be found for the given stylename.
`Map<String,Object>` | `getDefaultEdgeStyle()` Returns the default style for edges.
`Map<String,Object>` | `getDefaultVertexStyle()` Returns the default style for vertices.
`Map<String,Map<String,Object>>` | `getStyles()` Returns all styles as map of name, hashtable pairs.
`void` | `putCellStyle(String name, Map<String,Object> style)` Stores the specified style under the given name.
`void` | `setDefaultEdgeStyle(Map<String,Object> value)` Sets the default style for edges.
`void` | `setDefaultVertexStyle(Map<String,Object> value)` Sets the default style for vertices.
`void` | `setStyles(Map<String,Map<String,Object>> styles)` Sets all styles in the stylesheet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STYLE

    public static final Map<String,Object> EMPTY_STYLE

  Shared immutable empty hashtable (for undefined cell styles).

### styles

    protected Map<String,Map<String,Object>> styles

  Maps from names to styles.

Constructor Detail

### mxStylesheet

    public mxStylesheet()

  Constructs a new stylesheet and assigns default styles.

Method Detail

### getStyles

    public Map<String,Map<String,Object>> getStyles()

  Returns all styles as map of name, hashtable pairs.

  Returns:
    All styles in this stylesheet.

### setStyles

    public void setStyles(Map<String,Map<String,Object>> styles)

  Sets all styles in the stylesheet.

### createDefaultVertexStyle

    protected Map<String,Object> createDefaultVertexStyle()

  Creates and returns the default vertex style.

  Returns:
    Returns the default vertex style.

### createDefaultEdgeStyle

    protected Map<String,Object> createDefaultEdgeStyle()

  Creates and returns the default edge style.

  Returns:
    Returns the default edge style.

### getDefaultVertexStyle

    public Map<String,Object> getDefaultVertexStyle()

  Returns the default style for vertices.

  Returns:
    Returns the default vertex style.

### setDefaultVertexStyle

    public void setDefaultVertexStyle(Map<String,Object> value)

  Sets the default style for vertices.

  Parameters:
    `value` - Style to be used for vertices.

### getDefaultEdgeStyle

    public Map<String,Object> getDefaultEdgeStyle()

  Returns the default style for edges.

  Returns:
    Returns the default edge style.

### setDefaultEdgeStyle

    public void setDefaultEdgeStyle(Map<String,Object> value)

  Sets the default style for edges.

  Parameters:
    `value` - Style to be used for edges.

### putCellStyle

    public void putCellStyle(String name,
                             Map<String,Object> style)

  Stores the specified style under the given name.

  Parameters:
    `name` - Name for the style to be stored.
    `style` - Key, value pairs that define the style.

### getCellStyle

    public Map<String,Object> getCellStyle(String name,
                                           Map<String,Object> defaultStyle)

  Returns the cell style for the specified cell or the given defaultStyle if no style can be found for the given stylename.

  Parameters:
    `name` - String of the form [(stylename|key=value);] that represents the style.
    `defaultStyle` - Default style to be returned if no style can be found.
  Returns:
    Returns the style for the given formatted cell style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.